com.aliyun.svideosdk.editor

## Interface AliyunILayoutController

-     public interface AliyunILayoutController

  sdk version >= v3.25.0

  Layout controller

  you can set layout properties with this controller. such as position, scale, rotation, alpha

  you must call #apply `apply()` to take effect.

  Attentions：

  you must call #apply `apply()` to take effect.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `apply()`
    `float` | `getAlpha()` get clip's alpha
    `PointF` | `getPosition()` get clip's position
    `float` | `getRotationRadian()` get clip's rotation radian
    `float` | `getScale()` get clip's scale
    `AliyunILayoutController` | `setAlpha(float alpha)` set the alpha
    `AliyunILayoutController` | `setPosition(float centerX, float centerY)` set the position
    `AliyunILayoutController` | `setRotation(float rotation)` set the rotation radian
    `AliyunILayoutController` | `setScale(float scale)` set the scale

- - ### Method Detail

    - #### setPosition

          AliyunILayoutController setPosition(float centerX,
                                              float centerY)

      set the position
      Parameters:
        `centerX` - 0~1
        `centerY` - 0~1

    - #### setScale

          AliyunILayoutController setScale(float scale)

      set the scale
      Parameters:
        `scale` - 0~1

    - #### setAlpha

          AliyunILayoutController setAlpha(float alpha)

      set the alpha
      Parameters:
        `alpha` - 0~1

    - #### setRotation

          AliyunILayoutController setRotation(float rotation)

      set the rotation radian
      Parameters:
        `rotation` - -PI ~ PI (-3.14 ~ 3.14)

    - #### getPosition

          PointF getPosition()

      get clip's position
      Returns:

    - #### getScale

          float getScale()

      get clip's scale
      Returns:

    - #### getAlpha

          float getAlpha()

      get clip's alpha
      Returns:

    - #### getRotationRadian

          float getRotationRadian()

      get clip's rotation radian
      Returns:
        0 ~ PI (0 ~ 3.14)

    - #### apply

          int apply()